## ros-kinetic-uuv-trajectory-control 0.6.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(uuv_trajectory_control)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS scripts/rov_nl_pid_controller.py
                               scripts/rov_mb_sm_controller.py
                               scripts/rov_nmb_sm_controller.py
                               scripts/rov_pid_controller.py
                               scripts/rov_ua_pid_controller.py
                               scripts/rov_mb_fl_controller.py
                               scripts/auv_geometric_tracking_controller.py
                               scripts/demo_wp_trajectory_generator.py
                               scripts/rov_pd_grav_compensation_controller.py
                               scripts/rov_sf_controller.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch config
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  foreach(T
      test/test_python_api.test
      )
     add_rostest(${T})
  endforeach()
endif()

=== debian/changelog ===
ros-kinetic-uuv-trajectory-control (0.6.13-0xenial) xenial; urgency=high

  * Fix PID controller node shebang
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add private log module
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Update license header
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add docstrings
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add docstrings and update license header
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Set conditional import for the casadi package
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add logger from package's _log module
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Update license header
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Update test configuration
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Update license headers
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Adding docstrings and updating license headers
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Fix import local waypoint module
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Fix module docstring breakline
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add missing HelicalSegment to module
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add local logging module
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add module docstring
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add uuv_assistants dependency to reach tf_quaternion package
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Replace geometry.tf.transformations by local transformations package
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add docstrings and update license headers
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Add module docstring and update license header
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Sun, 11 Aug 2019 22:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.12-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.11-0xenial) xenial; urgency=high

  * Fix normalization of fin angle for saturation
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 20 Mar 2019 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.10-0xenial) xenial; urgency=high

  * Fix errors from catkin_lint
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Fix non-executables
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 27 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.9-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.8-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 13 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.7-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Tue, 12 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.6-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Mon, 11 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.5-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.4-0xenial) xenial; urgency=high

  * FIX Dependency errors for ROS Buildfarm
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Sat, 02 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.3-0xenial) xenial; urgency=high

  * CHANGE Use lowercase strings for e-mail
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Fixed the InitWaypointSet method with dp_controller_planner.py. Added interpolator to InitWaypointSet.srv
    Signed-off-by: Jackson Shields <mailto:jacksonhshields@gmail.com>
  * Contributors: Musa Morena Marcusso Manhães, Jackson Shields

 -- Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.2-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <LuizRicardo.Douat@de.bosch.com>  Sun, 02 Dec 2018 23:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.1-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <LuizRicardo.Douat@de.bosch.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.6.0-0xenial) xenial; urgency=high



 -- Luiz Ricardo Douat <LuizRicardo.Douat@de.bosch.com>  Mon, 30 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-trajectory-control (0.5.13-0xenial) xenial; urgency=high

  * FIX Set orientation error from quaternion vector


=== debian/control ===
Source: ros-kinetic-uuv-trajectory-control
Section: misc
Priority: extra
Maintainer: Luiz Ricardo Douat <luizricardo.douat@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rostest, ros-kinetic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-uuv-trajectory-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-matplotlib, python-numpy, python-scipy, python-yaml, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-uuv-assistants, ros-kinetic-uuv-control-msgs, ros-kinetic-visualization-msgs
Description: The uuv_trajectory_control package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-uuv-trajectory-control//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
